package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-补充货物信息表
 * </p>
 *
 * @author liutao
 * @since 2022-06-14
 */
@TableName("purch_contract_supplement_goods_info_history")
public class PurchContractSupplementGoodsInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购补充合同信息表Id
     */
    @TableField("purch_contract_supplement_info_id")
    private Long purchContractSupplementInfoId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("model_number")
    private String modelNumber;

    /**
     * 单位
     */
    @TableField("units")
    private String units;

    /**
     * 数量
     */
    @TableField("quantity")
    private String quantity;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 暂定单价
     */
    @TableField("price")
    private String price;

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public Long getPurchContractSupplementInfoId() {
        return purchContractSupplementInfoId;
    }

    public void setPurchContractSupplementInfoId(Long purchContractSupplementInfoId) {
        this.purchContractSupplementInfoId = purchContractSupplementInfoId;
    }
    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }
    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }
    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "PurchContractSupplementGoodsInfoHistory{" +
            "purchContractSupplementInfoId=" + purchContractSupplementInfoId +
            ", goodsName=" + goodsName +
            ", goodsFactory=" + goodsFactory +
            ", modelNumber=" + modelNumber +
            ", units=" + units +
            ", quantity=" + quantity +
            ", remark=" + remark +
        "}";
    }
}
